Advance Orders

Modify GTT Order

PUT
/api/oms/modify-order/gtt

Modify good till triggered order

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Request Body

application/x-www-form-urlencoded

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/oms/modify-order/gtt" \  -H "Authorization: Bearer <api Key>:<access token>" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'orderId=string&symId=EQT_RELIANCE_EQ_NSE&side=buy&type=limit&product=delivery&qty=1'
{
  "s": "ok",
  "d": {
    "msg": "GTT Order Modified Successfully",
    "orderId": "210115000000004"
  }
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}